Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/include/OgreBoundingBoxConverter.h
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/include/OgreBoundingBoxConverter.h	(revision 2097)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/include/OgreBoundingBoxConverter.h	(revision 2111)
@@ -8,5 +8,4 @@
 #include "Containers.h"
 #include "IntersectableWrapper.h"
-//#include "KdTree.h"
 
 
@@ -14,4 +13,5 @@
 
 #define USE_KD_PVS 1
+
 class Entity;
 class OctreeSceneManager;
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/Plugin_VisibilitySceneManager.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/Plugin_VisibilitySceneManager.vcproj	(revision 2100)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/Plugin_VisibilitySceneManager.vcproj	(revision 2111)
@@ -638,7 +638,4 @@
 			Filter="cpp;c;cxx;def;odl;idl;hpj;bat;asm">
 			<File
-				RelativePath="..\src\OgreBoundingBoxConverter.cpp">
-			</File>
-			<File
 				RelativePath="..\src\OgreMeshInstance.cpp">
 			</File>
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/include/ObjManualMeshLoader.h
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/include/ObjManualMeshLoader.h	(revision 2110)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/include/ObjManualMeshLoader.h	(revision 2111)
@@ -1,4 +1,4 @@
-#ifndef __IVManualMeshLoader_H__
-#define __IVManualMeshLoader_H__
+#ifndef __ObjManualMeshLoader_H__
+#define __ObjManualMeshLoader_H__
 
 
@@ -7,10 +7,10 @@
 
 
-class __declspec(dllexport) IVManualMeshLoader: public Ogre::ManualResourceLoader
+class __declspec(dllexport) ObjManualMeshLoader: public Ogre::ManualResourceLoader
 {
 	public:
-		IVManualMeshLoader();
-		IVManualMeshLoader(IVMeshData *mData);
-		~IVManualMeshLoader(); 
+		ObjManualMeshLoader();
+		ObjManualMeshLoader(ObjMeshData *mData);
+		~ObjManualMeshLoader(); 
 
 		void loadResource(Ogre::Resource *resource);
@@ -18,5 +18,5 @@
 		Ogre::AxisAlignedBox *getBoundingBox();
 	private:
-		IVMeshData *data;
+		ObjMeshData *data;
 
 };
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/include/ObjReader.h
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/include/ObjReader.h	(revision 2110)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/include/ObjReader.h	(revision 2111)
@@ -1,131 +1,38 @@
-#ifndef __mIVReader_H__
-#define __mIVReader_H__
+#ifndef __ObjReader_H__
+#define __ObjReader_H__
+
+//#include <stdlib>
+#include <string>
+#include <vector>
+#include <Ogre.h>
+/*#include "ObjNode.h"
+#include "ObjMeshData.h"
+#include "ObjManualMeshLoader.h"
+*/
 
 
-#include "ObjNode.h"
-#include "ObjMeshData.h"
-#include "ObjManualMeshLoader.h"
-#include "Ogre.h"
+namespace GtpVisibilityPreprocessor {
 
-#define COMMENTCHAR '#'
-#define BLOCKSIZE 150
-#define BUFFERSIZE 256
+struct Triangle3;
 
+}
 
-static const int validIVHeaderCnt = 2;
+typedef std::vector<GtpVisibilityPreprocessor::Triangle3 *> TriangleContainer;
 
-static const char *validIVHeader[2] = {
-    { "#Inventor V2.1 ascii\n" },
-	{ "#VRML V1.0 ascii\n" },
+class __declspec(dllexport) ObjReader
+{
+public:
+	ObjReader();
+	~ObjReader();
+
+	bool LoadFile(const std::string &filename,
+				  TriangleContainer &triangles) const;
+	
+	const std::vector<Ogre::Entity *> &GetObjects() const;
+
+protected:
+
+	std::vector<Ogre::Entity *> mObjects;
 };
 
-
-enum IVTokenType
-{
-	IV_TOKEN_INVALID = -1,
-	IV_TOKEN_STRING = 0,
-	IV_TOKEN_INT = 1,
-	IV_TOKEN_REAL = 2,
-	IV_TOKEN_BRACEOPEN = 3,				// {
-	IV_TOKEN_BRACECLOSE = 4,			// }
-	IV_TOKEN_BRACKETOPEN = 5,			// [
-	IV_TOKEN_BRACKETCLOSE = 6,			// ]
-	IV_TOKEN_PARENTHESISOPEN = 7,		// (
-	IV_TOKEN_PARENTHESISCLOSE = 8,		// )
-	IV_TOKEN_DEF = 9,					// DEF
-	IV_TOKEN_USE = 10,					// USE
-};
-
-class __declspec(dllexport) IVMeshListNode
-{
-	public:
-		IVMeshListNode(std::string name, IVManualMeshLoader *loader);
-		~IVMeshListNode();
-
-		void attachNewNode(std::string name, IVManualMeshLoader *loader);
-
-		IVManualMeshLoader *getManualMeshLoader(std::string name);
-
-		IVMeshListNode *next;
-
-	private:
-		std::string name;
-		IVManualMeshLoader *loader;
-};
-
-class __declspec(dllexport) IVDefListNode
-{
-	public:
-		IVDefListNode(std::string name, IVNode *node);
-		~IVDefListNode();
-
-		void attachNewNode(std::string name, IVNode *node);
-
-		IVNode *getDef(std::string name);
-
-		IVDefListNode *next;
-
-	private:
-		std::string name;
-		IVNode *node;
-
-};
-
-class __declspec(dllexport) IVReader
-{
-	public:
-		IVReader();
-		~IVReader();
-
-		void setLog(Ogre::Log *IVLog = NULL);
-
-		bool loadFile(const char* filename);
-		void print();
-//		IVNode *getNode(const char* name);
-
-
-		void buildTree(Ogre::SceneManager *sceneMgr, Ogre::SceneNode *sceneNodeRoot);
-
-		void collapse();
-
-		static std::string intToStr(int num);
-		static std::string realToStr(Ogre::Real num);
-		
-		static Ogre::Log *IVLog;
-
-	private:
-		bool checkHeader(const char *string);
-		char buf[BUFFERSIZE];
-		int bufOffset;
-		bool getNextElement(char *token, IVTokenType *type);
-		void classify(char *token, IVTokenType *type);
-
-		bool isSpace(char c);
-		bool isNewline(char c);
-		bool eof;
-		bool isDigit(char c);
-		bool isHexDigit(char c);
-
-		IVNode *root;
-		FILE* infile;
-
-		static IVMeshListNode *meshList;
-		static void addMeshToList(std::string name, IVManualMeshLoader *loader);
-		
-		static int instanceCnt;
-
-		int treeCnt, nodeCnt, matCnt;
-		char *fileName;
-
-		Ogre::Entity *createEntity(Ogre::SceneManager* sceneMgr, std::string name, IVMeshData *mData, Ogre::Vector3 *translation = NULL);
-
-		void buildTree(Ogre::SceneManager *sceneMgr, Ogre::SceneNode *sceneNodeRoot, IVNode *mIVReaderoot, IVMeshData *mData = NULL, Ogre::Material *material = NULL);
-
-		IVDefListNode *defList;
-		void addDefToList(std::string name, IVNode *node);
-
-
-};
-
-
 #endif
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/include/ObjNode.h
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/include/ObjNode.h	(revision 2109)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/include/ObjNode.h	(revision 2111)
@@ -1,4 +1,4 @@
-#ifndef __IVNode_H__
-#define __IVNode_H__
+#ifndef __ObjNode_H__
+#define __ObjNode_H__
 
 
@@ -6,5 +6,5 @@
 #include <Ogre.h>
 
-enum IVType
+enum ObjType
 {
 	IV_INVALID = -1,
@@ -15,44 +15,44 @@
 
 
-class IVField
+class ObjField
 {
 public:
-	IVField();
-	~IVField();
+	ObjField();
+	~ObjField();
 
 	char *name;
 	void *value;
-	IVType typ;
+	ObjType typ;
 	int cnt;
-	IVField *next;
+	ObjField *next;
 };
 
-class __declspec(dllexport) IVNode
+class __declspec(dllexport) ObjNode
 {
 	public:
-		IVNode();
-		IVNode(const char *s);
-		~IVNode();
+		ObjNode();
+		ObjNode(const char *s);
+		~ObjNode();
 
 		void print(int ident=0);
-		void attachNode(IVNode *child);
+		void attachNode(ObjNode *child);
 		void addField(const char *name, char *value);
-		void addField(const char *name, void *value, int cnt, IVType typ);
+		void addField(const char *name, void *value, int cnt, ObjType typ);
 
-		IVNode *getParent() { return parent; }
+		ObjNode *getParent() { return parent; }
 		char *getName() { return name; }
-		IVNode *getNodeRecursive(const char *name);
-		IVNode *getNextChildNode(bool reset = false);
-		IVField *getField(const char *name);
-		void *getField(const char *name, IVType *typ, int *cnt);
+		ObjNode *getNodeRecursive(const char *name);
+		ObjNode *getNextChildNode(bool reset = false);
+		ObjField *getField(const char *name);
+		void *getField(const char *name, ObjType *typ, int *cnt);
 
 	private:
 		char *name;
-		IVField *fields;
-		IVNode *parent;
-		IVNode *children;
-		IVNode *next;
+		ObjField *fields;
+		ObjNode *parent;
+		ObjNode *children;
+		ObjNode *next;
 
-		IVNode *actual;
+		ObjNode *actual;
 };
 
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/include/ObjMeshData.h
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/include/ObjMeshData.h	(revision 2109)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/include/ObjMeshData.h	(revision 2111)
@@ -1,9 +1,9 @@
-#ifndef __IVMeshData_H__
-#define __IVMeshData_H__
+#ifndef __ObjMeshData_H__
+#define __ObjMeshData_H__
 
 
 #include <Ogre.h>
 
-enum mIVReaderenderOperationType
+enum ObjReaderOpType
 {
 	IV_ROT_INVALID = -1,
@@ -13,11 +13,11 @@
 };
 
-class __declspec(dllexport) IVMeshData
+class __declspec(dllexport) ObjMeshData
 {
 	public:	
-		IVMeshData();
-		~IVMeshData();
+		ObjMeshData();
+		~ObjMeshData();
 
-		IVMeshData *expand();
+		ObjMeshData *expand();
 
 		void collapse();
@@ -25,5 +25,5 @@
 		Ogre::Real *vertices, *normals, *texCoords, *indices, *normalIndices, *texCoordIndices;
 		int vcnt, ncnt, tcnt, icnt, nicnt, ticnt;
-		mIVReaderenderOperationType roType;
+		ObjReaderOpType roType;
 		Ogre::AxisAlignedBox *boundingBox;
 
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/src/ObjReader.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/src/ObjReader.vcproj	(revision 2110)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/src/ObjReader.vcproj	(revision 2111)
@@ -72,5 +72,5 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				AdditionalIncludeDirectories="&quot;$(OGRE_PATH)\Dependencies\include\CEGUI&quot;;&quot;$(OGRE_PATH)\Samples\Common\CEGUIRenderer\include&quot;;&quot;$(OGRE_PATH)\OgreMain\include&quot;;&quot;$(OGRE_PATH)\Dependencies\include&quot;;&quot;$(OGRE_PATH)\Samples\Common\include&quot;;..\include"
+				AdditionalIncludeDirectories="&quot;$(OGRE_PATH)\OgreMain\include&quot;;&quot;$(OGRE_PATH)\Dependencies\include&quot;;&quot;$(OGRE_PATH)\Samples\Common\include&quot;;..\include;..\..\..\Preprocessing\src"
 				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;OBJREADER_EXPORTS;GTP_VISIBILITY_MODIFIED_OGRE;GAMETOOLS_ILLUMINATION_MODULE"
 				RuntimeLibrary="2"
@@ -83,8 +83,8 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalDependencies="OgreMain.lib CEGUIBase.lib OgreGUIRenderer.lib"
-				OutputFile="$(OutDir)/ObjReader.dll"
-				LinkIncremental="1"
-				AdditionalLibraryDirectories="&quot;$(OGRE_PATH)\OgreMain\lib\$(ConfigurationName)&quot;;&quot;$(OGRE_PATH)\Samples\Common\CEGUIRenderer\lib&quot;;&quot;..\..\GtpVisibility\lib\$(ConfigurationName)&quot;;&quot;..\..\lib\$(ConfigurationName)&quot;;&quot;..\lib\$(ConfigurationName)&quot;;&quot;$(OGRE_PATH)\Dependencies\lib\$(ConfigurationName)&quot;"
+				AdditionalDependencies="OgreMain.lib zdll.lib zziplib.lib Preprocessor.lib xerces-c_2.lib"
+				OutputFile="$(OutDir)/ObjReader.dll"
+				LinkIncremental="1"
+				AdditionalLibraryDirectories="&quot;$(OGRE_PATH)\OgreMain\lib\$(ConfigurationName)&quot;;&quot;$(OGRE_PATH)\Dependencies\lib\$(ConfigurationName)&quot;;&quot;..\..\lib\$(ConfigurationName)&quot;;&quot;..\lib\$(ConfigurationName)&quot;;&quot;..\..\..\Preprocessing\lib\$(ConfigurationName)&quot;;..\..\..\..\..\..\..\NonGTP\Xerces\xercesc\lib"
 				GenerateDebugInformation="FALSE"
 				SubSystem="2"
@@ -339,13 +339,4 @@
 			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}">
 			<File
-				RelativePath="..\src\ObjManualMeshLoader.cpp">
-			</File>
-			<File
-				RelativePath="..\src\ObjMeshData.cpp">
-			</File>
-			<File
-				RelativePath="..\src\ObjNode.cpp">
-			</File>
-			<File
 				RelativePath="..\src\ObjReader.cpp">
 			</File>
@@ -356,13 +347,4 @@
 			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}">
 			<File
-				RelativePath="..\include\ObjManualMeshLoader.h">
-			</File>
-			<File
-				RelativePath="..\include\ObjMeshData.h">
-			</File>
-			<File
-				RelativePath="..\include\ObjNode.h">
-			</File>
-			<File
 				RelativePath="..\include\ObjReader.h">
 			</File>
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/src/ObjNode.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/src/ObjNode.cpp	(revision 2110)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/src/ObjNode.cpp	(revision 2111)
@@ -2,5 +2,5 @@
 #include "ObjReader.h"
 
-IVField::IVField()
+ObjField::ObjField()
 {
 	next = NULL;
@@ -9,5 +9,5 @@
 
 
-IVField::~IVField()
+ObjField::~ObjField()
 {
 	if (value != NULL) free(value);
@@ -17,5 +17,5 @@
 
 
-IVNode::IVNode()
+ObjNode::ObjNode()
 {
 	parent = children = next = actual = NULL; 
@@ -25,5 +25,5 @@
 
 
-IVNode::IVNode(const char *s)
+ObjNode::ObjNode(const char *s)
 {
 	name = new char[strlen(s)+1];
@@ -33,10 +33,10 @@
 }
 
-IVNode::~IVNode()
+ObjNode::~ObjNode()
 {
 	if (name != NULL) delete[] name;
 	if (fields != NULL) 
 	{
-		IVField *help = fields, *delme = NULL;
+		ObjField *help = fields, *delme = NULL;
 		while (help->next != NULL)
 		{
@@ -47,5 +47,5 @@
 	if (children != NULL) 
 	{
-		IVNode *help = children, *delme = NULL;
+		ObjNode *help = children, *delme = NULL;
 		while (help->next != NULL)
 		{
@@ -60,10 +60,10 @@
 
 
-void IVNode::attachNode(IVNode *child)
+void ObjNode::attachNode(ObjNode *child)
 {
 	if (children == NULL) children = child;
 	else 
 	{
-		IVNode *help = children;
+		ObjNode *help = children;
 		while (help->next != NULL) help = help->next;
 		help->next = child;
@@ -73,5 +73,5 @@
 
 
-void IVNode::print(int ident)
+void ObjNode::print(int ident)
 {
 	if (IVReader::IVLog != NULL)
@@ -85,5 +85,5 @@
 		IVReader::IVLog->logMessage(msg);
 
-		IVField *help = fields;
+		ObjField *help = fields;
 		while (help != NULL)
 		{
@@ -128,7 +128,7 @@
 }
 
-void IVNode::addField(const char *name, void *value, int cnt, IVType typ)
-{
-	IVField *newone = new IVField();
+void ObjNode::addField(const char *name, void *value, int cnt, ObjType typ)
+{
+	ObjField *newone = new ObjField();
 	newone->name = new char[strlen(name)+1];
 	strcpy(newone->name, name);
@@ -153,5 +153,5 @@
 	else
 	{
-		IVField *help = fields;
+		ObjField *help = fields;
 		while (help->next != NULL) help = help->next;
 		help->next = newone;
@@ -160,5 +160,5 @@
 
 
-void IVNode::addField(const char *name, char *value)
+void ObjNode::addField(const char *name, char *value)
 {
 	addField(name, value, 1, IV_STRING);
@@ -166,10 +166,10 @@
 
 
-IVNode *IVNode::getNodeRecursive(const char *name)
+ObjNode *ObjNode::getNodeRecursive(const char *name)
 {
 	if (strcmp(name, this->name) == 0) return this;
 	if (this->children != NULL)
 	{
-		IVNode *help = this->children->getNodeRecursive(name);
+		ObjNode *help = this->children->getNodeRecursive(name);
 		if (help != NULL) return help;
 	}
@@ -178,5 +178,5 @@
 
 
-IVNode *IVNode::getNextChildNode(bool reset)
+ObjNode *ObjNode::getNextChildNode(bool reset)
 {
 	if (reset) actual = this->children;
@@ -186,7 +186,7 @@
 
 
-IVField *IVNode::getField(const char *name)
-{
-	IVField *help = fields;
+ObjField *ObjNode::getField(const char *name)
+{
+	ObjField *help = fields;
 	while (help != NULL)
 	{
@@ -197,7 +197,7 @@
 }
 
-void *IVNode::getField(const char *name, IVType *typ, int *cnt)
-{
-	IVField *help = fields;
+void *ObjNode::getField(const char *name, ObjType *typ, int *cnt)
+{
+	ObjField *help = fields;
 	while (help != NULL)
 	{
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/src/ObjMeshData.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/src/ObjMeshData.cpp	(revision 2110)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/src/ObjMeshData.cpp	(revision 2111)
@@ -3,5 +3,5 @@
 
 
-IVMeshData::IVMeshData()
+ObjMeshData::ObjMeshData()
 { 
 	vertices = normals = texCoords = indices = normalIndices = texCoordIndices = NULL; 
@@ -11,9 +11,9 @@
 }
 
-IVMeshData::~IVMeshData()
+ObjMeshData::~ObjMeshData()
 { 
 }
 
-void IVMeshData::collapse()
+void ObjMeshData::collapse()
 {
 	if (indices != NULL)	delete [] indices;
@@ -28,5 +28,5 @@
 }
 
-int IVMeshData::getSeparatorCnt(Ogre::Real *data, int end)
+int ObjMeshData::getSeparatorCnt(Ogre::Real *data, int end)
 {
 	int cnt = 0;
@@ -35,5 +35,5 @@
 }
 
-Ogre::AxisAlignedBox *IVMeshData::calcBoundingBox()
+Ogre::AxisAlignedBox *ObjMeshData::calcBoundingBox()
 {
 	if ((vertices == NULL) || (vcnt <=0)) 
@@ -58,5 +58,5 @@
 
 
-Ogre::Real *IVMeshData::expandTriangleStripIndices(Ogre::Real *indices, int icnt, int *icntOut)
+Ogre::Real *ObjMeshData::expandTriangleStripIndices(Ogre::Real *indices, int icnt, int *icntOut)
 {
 	if (indices[icnt-1] >= 0.0)
@@ -94,5 +94,6 @@
 }	
 
-int IVMeshData::getNextFaceSize(int start)
+
+int ObjMeshData::getNextFaceSize(int start)
 {
 	for (int i=start; i < icnt; i++) 
@@ -103,5 +104,6 @@
 }
 
-Ogre::Real *IVMeshData::expandFaceSetIndices(Ogre::Real *indices, int icnt, int *icntOut)
+
+Ogre::Real *ObjMeshData::expandFaceSetIndices(Ogre::Real *indices, int icnt, int *icntOut)
 {
 	if (indices[icnt-1] >= 0.0)
@@ -126,9 +128,9 @@
 }
 
-IVMeshData *IVMeshData::expand()
+ObjMeshData *ObjMeshData::expand()
 {
 	using namespace Ogre;
 
-	IVMeshData *mDataOut = new IVMeshData();
+	ObjMeshData *mDataOut = new ObjMeshData();
 
 	mDataOut->boundingBox = calcBoundingBox();
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/src/ObjManualMeshLoader.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/src/ObjManualMeshLoader.cpp	(revision 2110)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/ObjReader/src/ObjManualMeshLoader.cpp	(revision 2111)
@@ -2,5 +2,5 @@
 #include "ObjReader.h"
 
-IVManualMeshLoader::IVManualMeshLoader()
+ObjManualMeshLoader::ObjManualMeshLoader()
 {
 	data = NULL;
@@ -8,46 +8,12 @@
 
 
-IVManualMeshLoader::IVManualMeshLoader(IVMeshData *mData)
+ObjManualMeshLoader::ObjManualMeshLoader(ObjMeshData *mData):
+data(mData)
 {
-	data = mData;
-/*	data = new IVMeshData();
-	if ((mData->indices != NULL) && (mData->icnt > 0))
-	{
-		data->icnt = mData->icnt;
-		data->indices = new Ogre::Real[mData->icnt];
-		memcpy(data->indices, mData->indices, mData->icnt*sizeof(Ogre::Real));
-	}
-	if ((mData->vertices != NULL) && (mData->vcnt > 0))
-	{
-		data->vcnt = mData->vcnt;
-		data->vertices = new Ogre::Real[mData->vcnt];
-		memcpy(data->vertices, mData->vertices, mData->vcnt*sizeof(Ogre::Real));
-	}
-	if ((mData->normals != NULL) && (mData->vcnt > 0))
-	{
-		data->ncnt = mData->ncnt;
-		data->normals = new Ogre::Real[mData->ncnt];
-		memcpy(data->normals, mData->normals, mData->ncnt*sizeof(Ogre::Real));
-	}
-	if ((mData->texCoords != NULL) && (mData->tcnt > 0))
-	{
-		data->tcnt = mData->tcnt;
-		data->texCoords = new Ogre::Real[mData->tcnt];
-		memcpy(data->texCoords, mData->texCoords, mData->tcnt*sizeof(Ogre::Real));
-	}
-	*/
 }
 
-IVManualMeshLoader::~IVManualMeshLoader()
+
+ObjManualMeshLoader::~ObjManualMeshLoader()
 {
-/*	if (data != NULL)
-	{
-		if (data->vertices != NULL)		delete [] data->vertices;
-		if (data->normals != NULL)		delete [] data->normals;
-		if (data->texCoords != NULL)	delete [] data->texCoords;
-		if (data->indices != NULL)		delete [] data->indices;
-		delete data;
-	}
-	*/
 	if (data != NULL)
 	{
@@ -58,5 +24,5 @@
 
 
-Ogre::AxisAlignedBox *IVManualMeshLoader::getBoundingBox()
+Ogre::AxisAlignedBox *ObjManualMeshLoader::getBoundingBox()
 {
 	return data->boundingBox;
@@ -64,5 +30,5 @@
 
 
-void IVManualMeshLoader::loadResource(Ogre::Resource *resource)
+void ObjManualMeshLoader::loadResource(Ogre::Resource *resource)
 {
 	using namespace Ogre;
